﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ListPage.aspx.cs" Inherits="TestProject.ListPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>데이터베이스 CRUD 작업하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <h3>메모 목록</h3>
                <asp:GridView ID="gridView" runat="server"
                    AutoGenerateColumns="false">
                    <Columns>
                        <asp:BoundField HeaderText="ID"    DataField="ID"    />
                        <asp:BoundField HeaderText="Title" DataField="Title" />
                        <asp:HyperLinkField HeaderText="설명" DataTextField="Description" 
                            DataNavigateUrlFormatString="ViewPage.aspx?ID={0}"
                            DataNavigateUrlFields="ID" />
                        <asp:TemplateField HeaderText="작성일">
                            <ItemTemplate>
                                <%# Eval("WriteDate") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <hr />
                <asp:HyperLink ID="writeHyperLink" runat="server"
                    NavigateUrl="~/WritePage.aspx">
                    쓰기
                </asp:HyperLink>
                <asp:HyperLink ID="searchHyperLink" runat="server"
                    NavigateUrl="~/SearchPage.aspx">
                    검색
                </asp:HyperLink>
            </div>
        </form>
    </body>
</html>